AppleTalk network integration

Microsoft Windows 2000 Server AppleTalk network integration lets Intel-based and Apple Macintosh clients share files and printers and remotely connect to a Microsoft network. The three components of AppleTalk network integration are: File Server for Macintosh, Print Server for Macintosh, and the AppleTalk Protocol.

  • Before you install AppleTalk network integration, see Checklists.
  • To find a list of common tasks for AppleTalk network integration and how you can perform them in Windows 2000 Server, see New ways to do familiar tasks.
  • For product support recommendations and tips about using AppleTalk network integration, see Best practices.
  • For help with specific tasks, see How to.
  • For general background information, see Concepts.
  • For problem-solving instructions, see Troubleshooting.


Checklists

This section provides checklists to help you do the following tasks:

  • Checklist: Installing and configuring File Server for Macintosh
  • Checklist: Installing and configuring Print Server for Macintosh
  • Checklist: Installing and configuring AppleTalk routing
  • Checklist: Installing and configuring remote access for Macintosh


Checklist: Installing and configuring File Server for Macintosh

Step | Reference
Prepare for installation.
  • Ensure that there is an NTFS partition on each computer that will share files with a Macintosh computer.
  • Ensure that a Windows 2000 compact disc or network share is available.
 Macintosh accessible volumes
Install File Server for Macintosh on a computer running Windows 2000 Server. | Install File Server for Macintosh
Install the client component of Server for Macintosh on the Macintosh client computer. | Install authentication files on the Macintosh client
Configure the file server.

Set logon security for Macintosh users

Create a new logon message for Macintosh clients

Set session limits for Macintosh clients

Make new extension associations for Intel-based and Macintosh files
Configure Macintosh-accessible volumes.

Create a Macintosh-accessible volume

Set security options for Macintosh volumes
Set security on volumes.

Set security options for Macintosh volumes

Set permissions on a Macintosh-accessible volume or folder


Checklist: Installing and configuring Print Server for Macintosh

Step | Reference
Ensure that a Windows 2000 compact disc or network share is available. |
Install Print Server for Macintosh on a computer running Windows 2000 Server. | Install Print Server for Macintosh
Create a printer on the computer running Windows 2000 Server. | Create a printer
(optional) Create a user account for Macintosh print jobs. | Set up a user account for Macintosh print jobs
(optional) Capture printers. | Capture or release an AppleTalk printing device
(optional) Create high and low priority printers. | Prioritize print jobs
(optional) Create printing pools. | Create printing pools


Checklist: Installing and configuring AppleTalk networking and routing

Step | Reference
Review key concepts. AppleTalk Network media;
AppleTalk Network communications;
Integrating networks using AppleTalk and Windows 2000 Server;
AppleTalk networks;
Phase 2 AppleTalk networks
Install and configure the AppleTalk Protocol. Install the AppleTalk protocol and routing;
Configure AppleTalk protocol;
Configure AppleTalk routing.
Assign network numbers and zones. Assigning AppleTalk network numbers and network ranges;
Assigning AppleTalk zones
Seed the network. | Working with AppleTalk seed routers
Create a router record. AppleTalk Routing information;
Creating an AppleTalk router record


Checklist: Installing and configuring remote access for Macintosh

Step | Reference
Review key concepts. | AppleTalk over PPP (ATCP)
Install and configure the AppleTalk Protocol. | Install the AppleTalk protocol and routing; Configure AppleTalk and AppleTalk routing
Install and configure remote access for Macintosh | Install remote access for Macintosh; Configure remote access for Macintosh
Allow clear-text password authentication | Configure clear-text password authentication for Macintosh remote access


New ways to do familiar tasks

The following table lists common tasks for AppleTalk network integration and shows where you can perform the tasks in Windows 2000. The table also shows where these tasks were performed in Windows NT version 4.0.

If you want to | In Windows NT 4.0 use | In Windows 2000 use
Configure a Macintosh File Server | MacFile menu in File Manager | Computer Management, System Tools, Shared Folders.
Administer a Macintosh File Server | MacFile in Control Panel or MacFile menu in Server Manager | Computer Management, System Tools, Shared Folders.
Create an AppleTalk printer | The Printers folder (add an AppleTalk printer) | Printers, Add Printer.
Configure AppleTalk Protocol properties | Network utility in Control Panel | Network and Dial-up Connections, right-click Local Area Connection, Properties, AppleTalk Protocol.
Set up user accounts for Macintosh Users | User Manager for Domains | Active Directory Users and Computers
Enable AppleTalk users to remotely dial in | Not available in 4.0. | Routing and Remote Access, right-click client, Properties


Best practices

  • Avoid sharing the root directory of hard drives

    • While it is easy to share the root directory of a hard drive, it makes troubleshooting the volume much more difficult. When a volume is not working, you can move it to a new directory and delete the old volume and directory. Once the old volume is moved, you can rename the new volume with the old name. This is extremely fast and easy to do, but it will not work on root volumes.

  • Verify routing

    • Verify with your network administrator that your routers are routing AppleTalk if you want communication across the LAN. Also verify, if you will be seeding your network with Windows 2000, that the routers are not also seeding. All ranges must match for the range, they can have no overlapping between segments, and each segment's seed router must contain identical range numbers. Also, it is more efficient for a router to seed an AppleTalk network than it is for a Windows 2000 server.

  • Using POSIX file names

    • Do not use POSIX file names in the same directory tree that Macintosh users can access through Macintosh-accessible volumes. The POSIX subsystem is case-sensitive (that is, you can create one file called accounts, one called ACCOUNTS, one called Accounts, and so on.).

  • Do not share the interrupt setting for the Local Talk card

    • The interrupt setting used for the Local Talk card should not be shared with any other device.


How to...

  • Install and configure AppleTalk network integration
  • Set up Macintosh client software
  • Manage Macintosh-accessible volumes
  • Associate Windows file types with Macintosh file types
  • Administer Macintosh clients
  • Manage AppleTalk printing
  • Manage security
  • Manage File Server for Macintosh at the command prompt
  • Manaage remote access for Macintosh
  • View the Event Log


Install and configure AppleTalk network integration

  • Install Print Server for Macintosh
  • Install File Server for Macintosh
  • Install the AppleTalk protocol and routing
  • Install remote access for Macintosh
  • Configure AppleTalk protocol
  • Configure AppleTalk routing
  • Configure remote access for Macintosh


Install Print Server for Macintosh

To Install Print Server for Macintosh

  1. Open the Windows Components wizard.
  2. In Components, click Other Network File and Print Services (but do not select or clear its check box), and then click Details.
  3. Select the Print Services for Macintosh check box.

    To install File Server for Macintosh, you can also select the File Services for Macintosh check box.

  4. Click OK, and then click Next
    5. .

Notes

  • To open the Windows Components wizard, click Start, point to Settings, click Control Panel, double-click Add/Remove Programs, and then click Add/Remove Windows Components.
  • Certain Windows components require configuration before thay can be used. If you installed one or more of these components, but did not configure them, when you click Add/Remove Windows Components, a list of components that need to be configured is displayed. To start the Windows Components wizard, click Components.
  • If you have not already installed the AppleTalk protocol, the protocol is installed automatically when you install Print Server for Macintosh.

Related Topics


Install File Server for Macintosh

To Install File Server for Macintosh

  1. Open the Windows Components wizard.
  2. In Components, click Other Network File and Print Services (but do not select or clear its check box), and then click Details.
  3. Select the File Services for Macintosh check box.

    To install Print Server for Macintosh, you can also select the Print Services for Macintosh check box.

  4. Click OK, and then click Next.

Notes

  • To open the Windows Components wizard, click Start, point to Settings, click Control Panel, double-click Add/Remove Programs, and then click Add/Remove Windows Components.
  • Certain Windows components require configuration before thay can be used. If you installed one or more of these components, but did not configure them, when you click Add/Remove Windows Components, a list of components that need to be configured is displayed. To start the Windows Components wizard, click Components.
  • You must have an NTFS partition installed before you install File Server for Macintosh.
  • When File Server for Macintosh and TCP/IP are installed, the Apple Filing Protocol (AFP) over TCP/IP is enabled automatically.
  • If you have not already installed the AppleTalk protocol, the protocol is installed automatically when you install File Server for Macintosh.

Related Topics


Install the AppleTalk protocol and routing

To Install the AppleTalk protocol and routing

  1. Open Network and Dial-up Connections.
  2. Right-click any network connection icon (Local Area Connection is default), and then click Properties.
  3. On the General tab, Click Install.
  4. In Select Network Component Type, click Protocol, and then click Add.
  5. In Select Network Protocol, click AppleTalk Protocol, and then click OK.

    Or, if you have an installation disk for AppleTalk Protocol, click Have Disk.

Notes

  • To open Network and Dial-up Connections, click Start, point to Settings, and click Network and Dial-up Connections.
  • There are an additional two AppleTalk networking components in Windows 2000 Server: File Server and Print Server for Macintosh. To fully integrate all three AppleTalk networking components, see Related Topics.
  • Installing the AppleTalk protocol on a LAN connection installs and enables it for all LAN connections on your computer. To disable the AppleTalk protocol on a LAN connection, configure the connection and clear the AppleTalk protocol check box.
  • You can install the AppleTalk protocol without installing File Server for Macintosh or Print Server for Macintosh. For example, you can install the AppleTalk protocol for routing purposes only, or for dial-in (AppleTalk over PPP) purposes only, without needing to install or run File Server for Macintosh or Print Server for Macintosh.
  • By installing Print Server for Macintosh, you automatically install the AppleTalk network protocol.
  • To disable the AppleTalk protocol on any LAN connection, right-click the network connection icon, click Properties and clear the AppleTalk protocol check box. Once done, AppleTalk is no longer bound to the connection.

Related Topics


Install remote access for Macintosh

To Install remote access for Macintosh

  1. Open Routing and Remote Access.
  2. Right-click your server, and then click Configure and Enable Routing and Remote Access.
  3. Follow the instructions in the Routing and Remote Access wizard.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Configure AppleTalk protocol

To configure AppleTalk protocol

  1. Open Network and Dial-up Connections.
  2. Right-click Local Area Connection, and then click Properties.
  3. Select the AppleTalk Protocol check box, and then click Properties.

    AppleTalk protocol properties, such as a default adapter type and a default zone, are configured per connection.

  4. If you want to use this connection as the default adapter, select the Accept inbound connections on this adapter check box. This is the default behavior.
  5. In This system will appear in zone, select a zone for the system.

Notes

  • To open Network and Dial-up Connections, click Start, point to Settings, and click Network and Dial-up Connections.
  • Once you select an adapter as the default adapter, you cannot deselect that adapter.

Related Topics


Configure AppleTalk routing

To configure AppleTalk routing

  1. Open Routing and Remote Access.
  2. In the Console Root, under Routing and Remote Access, double-click your server and right-click AppleTalk Routing.
  3. Click Enable AppleTalk Routing.
  4. In the Adapters list, right-click an adapter, and then click Properties.
  5. Configure seed routing, network number allocation, and the zone list as appropriate for the computer.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Configure remote access for Macintosh

To configure remote access for Macintosh

  1. Open Routing and Remote Access.
  2. Right-click your server, and then click Properties.
  3. On the AppleTalk tab, configure remote access options as appropriate for the computer, and then click OK.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • You must restart your computer before any changes take effect.

Related Topics


Set up Macintosh client software

  • Gain access to authentication files
  • Install authentication files on the Macintosh client


Gain access to authentication files

To gain access to authentication files

  1. On the Macintosh Apple menu, double-click Chooser.
  2. Double-click the AppleShare icon, and then click the AppleTalk zone in which the computer running Windows 2000 Server resides.
  3. On the list of file servers, click the name of the Windows 2000 Server, and then click OK.
  4. Click Registered User or Guest, as appropriate, and then click OK.
  5. Click the Microsoft UAM volume, and then click OK.
  6. Close the Chooser dialog box.

Related Topics


Install authentication files on the Macintosh client

To install the authentication files on the Macintosh client

  1. Open Chooser, click AppleShare, select the AppleTalk zone where the Windows 2000 Server is located, then select that file server. Continue to connect and select the Microsoft UAM volume as the item you want to use.
  2. On the Macintosh Desktop, double-click the Microsoft UAM volume to open it.
  3. Double-click MS UAM Installer.

Note

  • When Macintosh users connect to the computer running Windows 2000 Server, authentication will be offered.

    How this is done depends on the Macintosh system the user is running. If a Macintosh computer is running System 7.1 or later and the clear-text and guest options are disabled at the server level, users will be given only one choice: Microsoft Authentication. Earlier systems will show both choices: Microsoft Authentication and clear-text password protection in the form of the Apple standard UAMs, even if the clear-text and guest logon options have been disabled and are unavailable to clients.

Related Topics


Manage Macintosh-accessible volumes

  • Create a Macintosh-accessible volume
  • View a list of Macintosh-accessible volumes
  • Modify Macintosh-accessible volumes
  • Set permissions on a Macintosh-accessible volume or folder
  • Set security options for Macintosh volumes
  • View current users of volumes
  • Disconnect Macintosh users and volumes
  • Remove a Macintosh-accessible volume


Create a Macintosh-accessible volume

To create a Macintosh-accessible volume

  1. Open Computer Management.
  2. In the console tree, double-click Shared Folders, right-click Shares, and then click New File Share.
  3. In Folder to share, type the drive and path to the folder you want to make Macintosh-accessible.

    Or, click Browse to find the folder.

  4. In Share name, type the name and, optionally, in Share description, type a description of the Windows 2000 Server share.
  5. Select the Apple Macintosh check box, click Next, and then follow the instructions in the Create Shared Folder wizard.

Notes

  • To open Computer Management, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.
  • A Macintosh-accessible volume is a folder on a computer running Windows 2000 Server that is made available to Macintosh clients. Once a Macintosh-accessible volume has been created for Macintosh users and a share created for users of Intel-based computers, both types of users can exchange files. Macintosh clients need to run AppleTalk to access Macintosh volumes and AppleTalk printers.
  • All Macintosh-accessible volumes must be created on an NTFS partition or on a CDFS volume. If you specify a CDFS volume, the Macintosh-accessible volume will provide read-only access. (In this case, "CDFS volume" refers to a hard disk volume.)

Related Topics


View a list of Macintosh-accessible volumes

To view a list of Macintosh-accessible volumes

  1. Open Computer Management.
  2. In the console tree, click Shares.

    Where?

    • Computer Management
    • System Tools
    • Shared Folders
    • Shares
  3. Look in the Type column for Macintosh. This indicates the volumes on the Windows 2000 server that Macintosh users can use over the network.

    If the Type column isn't displayed, right-click Shares, point to View, and then click Detail.

Note

  • To open Computer Management, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.

Related Topics


Modify Macintosh-accessible volumes

To modify Macintosh-accessible volumes

  1. Open Computer Management.
  2. In the console tree, click Shares.

    Where?

    • Computer Management
    • System Tools
    • Shared Folders
    • Shares
  3. Double-click the Macintosh-accessible volume you want to modify.
  4. In the Properties dialog box, on the General and Security tabs, you can change the volume's properties.

Notes

  • To open Computer Management, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.
  • You can view the list of all shares on the computer running Windows 2000 Server as well as modify the properties of each.

Related Topics


Set permissions on a Macintosh-accessible volume or folder

To set permissions on a Macintosh-accessible volume or folder

  1. Open Computer Management.
  2. In the console tree, click Shares.

    Where?

    • Computer Management
    • System Tools
    • Shared Folders
    • Shares
  3. Right-click the volume or folder, and then click Properties.
  4. On the Security tab, under Permissions, select the appropriate permissions.

Notes

  • To open Computer Management, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.
  • The default settings give all users (Everyone) Full Control. Change these setting according to your security requirements.

Related Topics


Set Security options for Macintosh volumes

To set security options for Macintosh volumes

  1. Open Computer Management.
  2. In the console tree, double-click Shares.

    Where?

    • Computer Management
    • System Tools
    • Shared Folders
    • Shares
  3. Right-click the volume you want to change, and then click Properties.
  4. On the General tab, select one or more of the SFM Volume Security options.
    • Password. Enter the password for this volume.
    • This volume is read-only. Changes can not be made to files in the volume.
    • Guests can use this volume. Macintosh users who do not have a user account or a password can access the volume with guest privileges.

Note

  • To open Computer Management, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.

Related Topics


View current users of volumes

To view current users of volumes

  1. Open Computer Management.
  2. In the console tree, click Sessions.

    Where?

    • Computer Management
    • System Tools
    • Shared Folders
    • Sessions

Notes

  • To open Computer Management, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.
  • Sessions does not dynamically update the list of users. To see the latest list of users, press F5, or right-click Sessions, and then click Refresh.

Related Topics


Disconnect Macintosh users and volumes

To disconnect Macintosh users and volumes

  1. Open Computer Management.
  2. In the console tree, right-click Sessions.

    Where?

    • Computer Management
    • System Tools
    • Shared Folders
    • Sessions
  3. Click Disconnect All Sessions.

Caution

  • Send a message to users before disconnecting them or the volumes they are using. Otherwise, they might lose data.

Note

  • To open Computer Management, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.

Related Topics


Remove a Macintosh-accessible volume

To remove a Macintosh-accessible volume

  1. Open Computer Management.
  2. In the console tree, click Shares.

    Where?

    • Computer Management
    • System Tools
    • Shared Folders
    • Shares
  3. Right-click the volume you want to remove.
  4. Click Stop Sharing.

Notes

  • To open Computer Management, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.
  • Removing a Macintosh-accessible volume does not delete the corresponding folder on the computer running Windows 2000 Server. Removing a volume makes it unavailable only to Macintosh users.
  • If Macintosh users are currently connected, use Send Message to warn them. Users are likely to lose data if you remove a volume that's being used.

Related Topics


Associate Windows file types with Macintosh file types

  • Make new extension associations for Intel-based and Macintosh files
  • Add a file creator and type for Macintosh files
  • Edit a description of a Macintosh file type
  • Delete a file type and its extension associations


Make new extension associations for Intel-based and Macintosh files

To make new extension associations for Intel-based and Macintosh files

  1. Open Computer Management.
  2. In the console tree, right-click Shared Folders, and then click Configure File Server for Macintosh.
  3. On the File Association tab, in Files with MS-DOS Extension, type an extension or select one by clicking the arrow.

    If the extension is already associated with a file type and file creator, it will be selected in the association list With Macintosh Creator and Type.

  4. In in the association list With Macintosh Creator and Type, click a creator and type to which you want to associate this extension.
  5. To associate the extension with the selected creator and type, click Associate.

Notes

  • To open Computer Management, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.
  • Extension-type associations ensure that users will see the correct icon on their computers for a file stored on the computer running Windows 2000 Server. For example, Macintosh users will see a Macintosh-style icon for a Microsoft Excel file, and Windows users will see the Windows-style icon for the same Microsoft Excel file.
  • Refer to the Windows 2000 Resource Kit for a list of extension-type associations. You can create new associations or add, edit, or delete existing file creators and types. For more information on the Resource Kit, see Related Topics.
  • When you add a new extension-type association, it affects only files that are subsequently created on the server, not currently existing files. You can associate multiple extensions with a Macintosh file type and creator. However, you can associate only one file type and creator with an extension.

Related Topics


Add a file creator and type for Macintosh files

To add a file creator and type for Macintosh files

  1. Open Computer Management.
  2. In the console tree, right-click Shared Folders, and then click Configure File Server for Macintosh.
  3. In the Properties dialog box, click the File Association tab, and then click Add.
  4. Type the Creator and File Type, or select them by clicking the arrow, and then, optionally, add a description.

Notes

  • To open Computer Management, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.
  • The new creator and type is added to the file association list.

Related Topics


Edit a description of a Macintosh file type

To edit a description of a Macintosh file type

  1. Open Computer Management.
  2. In the console tree, right-click Shared Folders, and then click Configure File Server for Macintosh.
  3. On the File Association tab, for files with MS-DOS extensions, type an extension or select one by clicking the arrow.

    If the extension is already associated with a file type and file creator, it will be selected in the association list With Macintosh Creator and Type.

  4. Click Edit, and type the new description.

Note

  • To open Computer Management, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.

Related Topics


Delete a file type and its extension associations

To delete a file type and its extension associations

  1. Open Computer Management.
  2. In the console tree, right-click Shared Folders, and then click Configure File Server for Macintosh.
  3. On the File Association tab, click the creator you want to delete.
  4. Click Delete, and then click Yes to confirm that you want to remove the selected file type and associated extensions.

Note

  • To open Computer Management, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.

Related Topics


Administer Macintosh clients

  • Set security options for Macintosh users
  • View open file forks
  • Stop, start, pause, or continue services
  • Send a message to all Macintosh clients
  • Create a new logon message for Macintosh clients
  • Set session limits for Macintosh clients
  • Change the name of the computer running Windows 2000 Server


Set security options for Macintosh users

To set security options for Macintosh users

  1. Open Computer Management.
  2. In the console tree, click Shares.

    Where?

    • Computer Management
    • System Tools
    • Shared Folders
    • Shares
  3. Double-click the Macintosh-accessible volume you want to modify.
  4. Click the Security tab, and then modify the security options.

Note

  • To open Computer Management, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.

Related Topics


View open file forks

To view open file forks

  1. Open Computer Management.
  2. In the console tree, click Open Files.

    Where?

    • Computer Management
    • System Tools
    • Shared Folders
    • Open Files
  3. In the list of open files, scan the Type column to find the resource and data files that are open on Macintosh clients connected to the computer running Windows 2000 Server.

Note

  • To open Computer Management, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.

Related Topics


Stop, start, pause, or resume services

To stop, start, pause, or resume services

  1. Open Computer Management.
  2. In the console tree, click Services.
  3. Double-click the service you want to change, and then click Start, Stop, Pause, or Resume as appropriate.

    To change the startup type (for example, to specify manual startup), on the General tab, under Startup, click the arrow, and then click Automatic, Manual, or Disabled.

Note

  • To open Computer Management, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.

Related Topics


Send a message to all Macintosh clients

To send a message to all Macintosh clients

  1. Open Computer Management.
  2. In the console tree, right-click Shared Folders, and then click Configure File Server for Macintosh.
  3. On the Sessions tab, type your message text.
  4. Click Send, and then click OK.

Notes

  • To open Computer Management, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.
  • You can send messages only to all Macintosh users of the server. You can't send messages to individual users or to those users accessing a particular volume.

Related Topics


Create a new logon message for Macintosh clients

To create a new logon message for Macintosh clients

  1. Open Computer Management.
  2. In the console tree, right-click Shared Folders, and then click Configure File Server for Macintosh.
  3. On the Configuration tab, in Logon message, type the message you want Macintosh users to see when they log on to the computer running Windows 2000 Server.

Note

  • To open Computer Management, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.

Related Topics


Set session limits for Macintosh clients

To set session limits for Macintosh clients

  1. Open Computer Management.
  2. In the console tree, right-click Shared Folders, and then click Configure File Server for Macintosh.
  3. On the Configuration tab, under Sessions, click Unlimited.

    Or, click Limited to, and then type a number.

Notes

  • To open Computer Management, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.
  • Setting session limits determines the number of simultaneous connections Macintosh clients can make to the computer running Windows 2000 Server with AppleTalk network integration.
  • The number of simultaneous connections is limited only by the network media. However, limiting the connections can result in performance increases by the computer running Windows 2000 Server.

Related Topics


Change the name of the computer running Windows 2000 Server

To change the name of the computer running Windows 2000 Server

  1. Open Computer Management.
  2. In the console tree, right-click Shared Folders, and then click Configure File Server for Macintosh.
  3. In Server Name for AppleTalk Workstations, type a new name for the server, and then click OK.
  4. In Services and Applications, click Services, and then right-click File Server for Macintosh.
  5. Click Restart.

Note

  • To open Computer Management, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.

Related Topics


Manage AppleTalk printing

  • Share a printer with Macintosh users
  • Capture or release an AppleTalk printing device
  • Stop and restart Print Server for Macintosh
  • Create a printer
  • Set up a user account for Macintosh print jobs
  • Prioritize print jobs


Share a printer with Macintosh users

To share a printer with Macintosh users

  1. Open Printers.
  2. Right-click a printer, and then click Properties.
  3. On the Sharing tab, click Shared as, and type a name.
  4. On the General tab, in Location, type the place where users can find their print jobs.

    For example, you can type the room number where the shared printer is located.

Notes

  • To open Printers, click Start, point to Settings, and then click Printers.
  • Macintosh users can gain access to any printing device on the computer running Windows 2000 Server. Macintosh clients need to run AppleTalk to access Macintosh volumes and AppleTalk printers.

Related Topics


Capture or release an AppleTalk printing device

To capture or release an AppleTalk printing device

  1. Open Printers.
  2. Right-click a printer, and then click Properties.
  3. On the Ports tab, click the port, and then click Configure Port.
  4. Either select or clear the Capture this AppleTalk printing device check box, and then click OK.

Notes

  • To open Printers, click Start, point to Settings, and then click Printers.
  • If you want an AppleTalk printing device to be reserved for users of the computer running Windows 2000 Server, it must be captured. Capturing gives spooling capabilities to all users who connect to the corresponding printer through the computer running Windows 2000 Server.
  • Releasing a captured printing device enables any Macintosh client to print to an AppleTalk printer directly. However, the print jobs will not be under the administrator's control.

Related Topics


Stop and restart Print Server for Macintosh

To stop and restart Print Server for Macintosh

  1. Open Computer Management.
  2. In the console tree, click Services, and then right-click Print Server For Macintosh.
  3. Click Stop or Start as appropriate.

Notes

  • To open Computer Management, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.
  • You would want to stop and restart the print server to remove a printing device, for example.

Related Topics


Create a printer

To create a printer

  1. Open Printers
  2. In the Printers dialog box, double-click Add Printer.
  3. Follow the Add Printer wizard instructions and select Local Printer (select the Automatically detect my printer check box if the printer is directly attached to the Windows 2000 Server), and then click Next.
  4. Click Create a new port, click AppleTalk Printing Devices, and then click Next.
  5. Expand the AppleTalk zone where the printer you want to connect to is located, and then select the printer.
  6. Complete the Add Printer wizard.

Notes

  • To open Printers, click Start, point to Settings, and then click Printers.
  • The printer name can contain up to 32 characters. This name will appear in the title bar of the printer window. By default, it is the name that network users (except MS-DOS users) will see when they share the printer.
  • Select the Share this printer option during setup. In Share Name, specify the printer name that you want MS-DOS clients to see.
  • When you are selecting a destination, if the printing device is physically connected to the Windows 2000 Server computer, select the appropriate port.

    If the printing device is on a network, click Add Port. In the Printer Ports dialog box, click AppleTalk Printing Devices, and then click OK. In the Available AppleTalk Printing Devices dialog box, select a zone and a printer, and then click OK.

Related Topics


Set up a user account for Macintosh print jobs

To set up a user account for Macintosh print jobs

  1. Open Computer Management.
  2. In the console tree, click Services, and then double-click Print Server For Macintosh.
  3. On the Log On tab, click This Account, and then type the name of the user account, or click Choose User.
  4. To require a password for Macintosh users of the computer running Windows 2000 Server, in Password type a password, and then confirm it.

Note

  • To open Computer Management, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.

Related Topics


Prioritize print jobs

To prioritize print jobs

  1. If necessary, create two (or more) printers and share them.
  2. Open Printers.
  3. Right-click a printer, and then click Properties.
  4. On the Advanced tab, in Priority, select a priority.

    Higher priority jobs will print before lower priority jobs. For example, a priority-1 job will print before a priority-2 job.

Note

  • To open Printers, click Start, point to Settings, and then click Printers.

Related Topics


Manage security

  • Change the owner of a directory


Change the owner of a directory

To change the owner of a directory

  1. Open Windows Explorer.
  2. Browse to, and then right-click, the folder you want to edit.
  3. Click Properties, and then, on the Security tab, click Advanced.
  4. On the Owner tab, in Change owner to, click the new owner.
  5. Optionally, select the check box Replace owner on subcontainers and objects to assign this ownership to any folders or objects contained in this directory.
  6. Click Apply.

Note

  • To open Windows Explorer, click Start, point to Programs, point to Accessories, and then click Windows Explorer.


Manage File Server for Macintosh at the command prompt

  • Add, change, or remove Macintosh-accessible volumes using Macfile
  • Modify directories in Macintosh-accessible volumes using Macfile
  • Change logon message and limit sessions using Macfile
  • Join a Macintosh file's data and resource forks


Add, change, or remove Macintosh-accessible volumes using Macfile

To add, change, or remove Macintosh-accessible volumes using Macfile

macfile volume {/add | /set}

[/server:\\computername] /name:volumename /path:directory [/readonly:[true | false]] [/guestsallowed:[true | false]] [/password:password] [/maxusers:number | unlimited]

macfile volume /remove

[/server:\\computername] /name:volumename

Parameters

/add

Adds a volume using the specified settings.

/set

Changes a volume using the specified settings.

/server:\\computername

Specifies the server on which to add, change, or remove a volume. If omitted, the operation is performed on the local computer.

/name:volumename

Specifies the volume name to be added, changed, or removed. This parameter is required.

/path:directory

Specifies the path to the root directory of the volume to be created. This parameter is valid and required only when adding a volume.

/readonly:[true | false]

Specifies users cannot change files in the volume. Use true or false to change the current setting of the volume. If omitted when adding a volume, changes to files are allowed. If omitted when changing a volume, the readonly setting for the volume remains unchanged.

/guestsallowed:[true | false]

Specifies whether users logging on as guests can use the volume. If omitted when adding a volume, guests can use the volume. If omitted when changing a volume, the guestsallowed setting for the volume remains unchanged.

/password:password

Specifies a password required to access the volume. If omitted when adding a volume, no password is created. If omitted when changing a volume, the password remains unchanged.

/maxusers:number | unlimited

Specifies the maximum number of users who can simultaneously use files on the volume. If omitted when adding a volume, an unlimited number of users can use the volume. If omitted when changing a volume, the maxusers value remains unchanged.

/remove

Removes the specified volume.

Note

  • Enclose any parameter that contains spaces or special characters in quotation marks (").

Related Topics


Modify directories in Macintosh-accessible volumes using Macfile

To modify directories in Macintosh-accessible volumes using Macfile

macfile directory [/server:\\computername] /path:directory [/owner:ownername] [/group:groupname] [/permissions:permissions]

Parameters

/server:\\computername

Specifies the server on which to change a directory. If omitted, the operation is performed on the local computer.

/path:directory

Specifies the path to the directory to be changed on the Macintosh-accessible volume. The directory must exist; macfile directory does not create directories. This parameter is required.

/owner:ownername

Changes the owner of the directory. If omitted, the owner remains unchanged.

/group:groupname

Specifies or changes the Macintosh primary group associated with the directory. If omitted, the primary group remains unchanged.

/permissions:permissions

Sets permissions on the directory for the owner, primary group, and world (everyone). An 11-digit number is used to set permissions. The number 1 grants permission; 0 revokes permission (for example, 11111011000). The position of the digit determines which permission is set, as described in the following table. If omitted, permissions remain unchanged.

Position | Sets Permission for
First | OwnerSeeFiles
Second | OwnerSeeFolders
Third | OwnerMakeChanges
Fourth | GroupSeeFiles
Fifth | GroupSeeFolders
Sixth | GroupMakeChanges
Seventh | WorldSeeFiles
Eighth | WorldSeeFolders
Ninth | WorldMakeChanges
Tenth | The directory cannot be renamed, moved, or deleted.
Eleventh | The changes apply to the current directory and all subdirectories.

Notes

  • Enclose any parameter that contains spaces or special characters in quotation marks (").
  • Use macfile directory to make an existing directory in a Macintosh-accessible volume available to Macintosh users. The macfile directory command does not create directories. Use File Manager, the command prompt, or the Macintosh New Folder command to create the directory in a Macintosh-accessible volume before using the macfile directory command.

Related Topics


Change logon message and limit sessions using Macfile

To change the logon message and limit sessions using Macfile

macfile server [/server:\\computername] [/maxsessions:number | unlimited] [/loginmessage:message]

Parameters

/server:\\computername

Specifies the server on which to change parameters. If omitted, the operation is performed on the local computer.

/maxsessions:[number | unlimited]

Specifies the maximum number of users who can simultaneously use File and Print Servers for Macintosh. If omitted, the maxsessions setting for the server remains unchanged.

/loginmessage:message

Changes the message Macintosh users see when logging on to the File Server for Macintosh server. To remove an existing logon message, include the /loginmessage parameter, but leave the message variable blank. If omitted, the loginmessage message for the server remains unchanged from the previous setting. The maximum number of characters for the logon message is 199.

Note

  • Enclose any parameter that contains spaces or special characters in quotation marks (").

Related Topics


Join a Macintosh file's data and resource forks

To join a Macintosh file's data and resource forks

macfile forkize [/server:\\computername] [/creator:creatorname] [/type:typename] [/datafork:filepath] [/resourcefork:filepath] /targetfile:filepath

Parameters

/server:\\computername

Specifies the server on which to join files. If omitted, the operation is performed on the local computer.

/creator:creatorname

Specifies the creator of the file. The Macintosh Finder uses the creator parameter to determine the application that created the file.

/type:typename

Specifies the type of file. The Macintosh Finder uses file type to determine the file type within the application that created the file.

/datafork:filepath

Specifies the location of the data fork that is to be joined. You can specify a remote path.

/resourcefork:filepath

Specifies the location of the resource fork that is to be joined. You can specify a remote path.

/targetfile:filepath

Specifies the location of the file created by joining a data fork and a resource fork or specifies the location of the file whose type or creator you are changing. The file must be on the specified server.

Note

  • Enclose any parameter that contains spaces or special characters in quotation marks (").

Related Topics


Manage remote access for Macintosh

  • Configure remote access protocols for Macintosh clients
  • Configure user authentication for Macintosh remote access
  • Configure clear-text password authentication for Macintosh remote access


Configure remote access protocols for Macintosh clients

To configure remote access protocols for Macintosh clients

  1. Open Routing and Remote Access.
  2. Right-click the server name, click Configure and Enable Routing and Remote Access, and then follow directions in the Configuration wizard.
  3. Select the Enable remote access check box.
  4. As the Configuration wizard displays options, select the authentication and encryption methods you want to use, and whether clients will be able to access the entire network or the server only.
  5. When the Configuration wizard has finished, open Routing and Remote Access again, and then right-click the server name.
  6. Click Properties, and then click the PPP tab to configure PPP settings.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • If you need to add the server, right-click Server Status, then click Add Server.

Related Topics


Configure user authentication for Macintosh remote access

To configure user authentication for Macintosh remote access

  1. Open Routing and Remote Access.
  2. Right-click your server, and then click Properties.
  3. On the Security tab, configure remote access options as appropriate for the computer, and then click OK.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • For Macintosh clients logging in as guest, ensure that the Unauthenticated access check box on the Security tab is selected.

Related Topics


Configure clear-text password authentication for Macintosh remote access

To configure clear-text password authentication for Macintosh remote access

  1. Open MMC.
  2. In the Console menu, click Add/Remove Snap-in.
  3. Click Add, click Group Policy, and then click Add.
  4. In the Select Group Policy Object wizard, click Finish, and then click Close.
  5. In the Add/Remove Snap-in dialog box, click OK.
  6. In the Console Root, double-click Local Computer Policy, and then double-click Computer Configuration.
  7. Double-click Windows Settings, and then double-click Security Settings.
  8. Double-click Account Policies, and then click Password Policy.
  9. Right-click Store passwords using reversible encryption for all users in the domain, and then click Security.
  10. Under Change Local Policy to, click Enabled.

Note

  • To open MMC, click Start, click Run, and then type mmc.

Related Topics


View the Event Log

  • View AppleTalk and MacFile events


View AppleTalk and MacFile events

To view AppleTalk and MacFile events

  1. Open Event Viewer.
  2. Click System Log.
  3. Review the System Log and, in the Source list, double-click the MacFile, MacSrv, or AppleTalk events you want to view.

Notes

  • To open Event Viewer, click Start, point to Programs, point to Administrative Tools, and then click Event Viewer.
  • To see specific events, on the View menu, click Filter, and then select the filter options you want to apply. (To filter events in Event Viewer, the Computer Browser service must be started.)

Related Topics


Concepts

You can use Microsoft Windows 2000 Server AppleTalk network integration to share files and printers between Intel-based and Apple Macintosh clients.

After AppleTalk protocol is set up, a computer running Windows 2000 Server can also function as an AppleTalk router. Routing capability is supported for AppleTalk Phase 2.

With AppleTalk network integration, Macintosh computers need only the Macintosh operating system software to function as clients; no additional software is required. You can, however, set up and distribute the optional user authentication module, which lets Macintosh clients securely log on to the computer running Windows 2000 Server using the same logon method as Windows clients.

AppleTalk network integration simplifies administration by maintaining just one set of user accounts instead of separate user accounts (one on the Macintosh server and another on the computer running Windows 2000 Server).

This section provides general background information about File Server and Print Server for Macintosh:

  • Understanding AppleTalk network integration
  • Using AppleTalk networking


Understanding AppleTalk network integration

Windows 2000 Server AppleTalk network integration is made up of three parts:

  • File Server for Macintosh (also called MacFile) lets you designate a folder as a Macintosh-accessible volume, ensures Macintosh file names are legal NTFS names, and handles permissions.
  • Print Server for Macintosh (also called MacPrint) lets all network users send print jobs to a spooler on the Windows 2000 Server and continue working; they don't have to wait for their print jobs to finish.
  • AppleTalk protocol is the layer of AppleTalk Phase 2 protocols that delivers data to its destination on the network.

This section contains information on:

  • AppleTalk networking and routing
  • Files
  • Printing benefits
  • Security
  • Remote access


AppleTalk networking and routing

The computer running Windows 2000 Server with AppleTalk network integration can also provide routing and seed routing support. An AppleTalk router broadcasts routing information, such as network addresses, and keeps track of and directs data packets on AppleTalk networks. Seed routers perform these functions and also seed the physical networks on which they reside. Seeding a network means establishing and initializing the network address information for that network.

You can install an unlimited number of network adapters on a computer running Windows 2000 Server in order to add to an AppleTalk internet.

For more information on AppleTalk networking and routing, see:

  • AppleTalk network media
  • AppleTalk network communications
  • Integrating networks using AppleTalk and Windows 2000 Server
  • AppleTalk networks
  • Phase 2 AppleTalk networks
  • AppleTalk routing information
  • Working with AppleTalk seed routers
  • Assigning AppleTalk network numbers and ranges
  • Assigning AppleTalk zones
  • Creating an AppleTalk router record


AppleTalk Network media

As you plan how to physically connect your Macintosh and Intel-based computers, the first thing to consider is network media. Each network media type has its own method of cabling and network topology, and each requires different network hardware.

Windows 2000 Server supports five types of media:

  • Ethernet (Fast, Gigabit)
  • Token ring
  • LocalTalk
  • FDDI (CDDI)
  • ATM

Ethernet and token ring are common network media in Intel-based networking. LocalTalk is used in AppleTalk networking. FDDI, although not as common, is based on token ring and is designed to be used with fiber-optic cabling. Every Macintosh computer includes hardware and software that enables it to be a client on a LocalTalk network.

Media speeds

To set up a computer running Windows 2000 Server to communicate with both Macintosh and Intel-based computers, you might need to install two (or more) network cards in the server: one card (such as ethernet) for communication with the Intel-based clients and another card (such as LocalTalk) for communication with Macintosh clients. If the Macintosh clients are also using ethernet (or EtherTalk) cards, you'll need only one network card.


AppleTalk network communications

Suppose your server and Intel-based clients use ethernet, and your Macintosh computers aren't currently attached to any network. (They have only their built-in LocalTalk hardware and software.) To enable the computers running Windows 2000 Server and the Macintosh computers to communicate, choose one of these methods:

  • Install a LocalTalk network adapter on the server in addition to the ethernet card already installed.
  • Install ethernet cards on each Macintosh computer.
  • Install an ethernet/LocalTalk router.

Solution 1: Install a LocalTalk card on the computer running Windows 2000 Server

You can install a LocalTalk network adapter on the computer running Windows 2000 Server, in addition to an ethernet card. You can then set up the Macintosh computers on a LocalTalk network attached to the new LocalTalk adapter. The server will communicate with the Intel-based clients by means of ethernet and will communicate with the Macintosh computers by means of LocalTalk.

This solution is fairly inexpensive because it requires that you buy only one additional network adapter. However, LocalTalk is not as fast as ethernet; consequently, network performance is not as good as it would be if all the clients used ethernet. Because you can have a limited number of Macintosh computers on a LocalTalk network, this solution might be impractical if your network has a large number of Macintosh computers.

Solution 2: Install Ethernet Cards on the Macintosh computers

You can install ethernet network adapters on all the Macintosh computers and attach them to your existing ethernet network. The server will use its existing ethernet card to communicate with both Intel-based and Macintosh clients, which can all be attached to a single physical ethernet network.

Solution 3: Install an Ethernet/LocalTalk router

You can install an ethernet/LocalTalk router, which translates data on the network between the two media. (These routers are made by several companies.) Windows 2000 Server running AppleTalk network integration can also act as a router between ethernet and LocalTalk. Windows 2000 Server, however, must have both an ethernet and LocalTalk card installed in it. (See the Note at the end of this topic for more information on using the computer running Windows 2000 Server as a router.)

By using an ethernet/LocalTalk router, the server can still use its ethernet card, and you can put the Macintosh clients on a LocalTalk network and attach the router to both the ethernet and LocalTalk networks. All data transferred between the server and the Macintosh computers passes through the router. To the server, all the Macintosh computers appear to be on the ethernet network.

To use this ethernet/LocalTalk router, you must be able to bind the AppleTalk Protocol on the server to an ethernet card on the server.

This is a low-cost and useful solution if you want to make printers on the ethernet available to Macintosh clients. However, performance is degraded by using a router. A network with LocalTalk clients is not as fast as an all-ethernet network.

Note

  • Because a computer running Windows 2000 Server can function as a router, it can also function as an ethernet/LocalTalk router, as long as it has both an ethernet network adapter and a LocalTalk card. To connect one physical network of Macintosh computers to several servers, you can install a LocalTalk card on one server. That server can function as a router, enabling the Macintosh computers to reach the other servers on the ethernet network.


Integrating networks using AppleTalk and Windows 2000 Server

Depending on which clients you have, the issues you face when deciding how to connect them can be complex. For example:

  • Windows 2000 Server uses ethernet, but some of your Macintosh computers use ethernet and others use LocalTalk.

    • Solution: You can install a LocalTalk card on the computer running Windows 2000 Server to communicate with the Macintosh computers that use LocalTalk, or you can install ethernet cards on all of the Macintosh computers, or you can use an ethernet/LocalTalk router.

  • Windows 2000 Server uses ethernet, but some of your Macintosh computers use ethernet and others use LocalTalk. You also have some Macintosh computers that have token-ring network cards.

    • Solution: Install a token-ring network card on the computer running Windows 2000 Server to communicate with these Macintosh computers, in addition to the solution you choose in the previous example for the Macintosh computers that use ethernet and LocalTalk.

You can also use these examples to install Fiber Distributed Data Interface (FDDI) rings.


AppleTalk networks

Because AppleTalk networks differ from Intel-based networks, you must consider some special concepts and issues when you set up an AppleTalk network.

One important concept is the internet. (Note that this is a different concept than the Transport Control Protocol/Internet Protocol [TCP/IP] Internet.) Most large AppleTalk networks are not single physical networks in which all computers are attached to the same network cabling system. Instead, they are internets, which are multiple smaller physical networks connected by routers.

Routers maintain a map of the physical networks on the internet and forward data received from one physical network to other physical networks. Routers are necessary so that computers on different physical networks can communicate with one another. They also reduce network traffic on the internet by isolating the physical networks. In other words, routers only send data that is usable by a network.

Some routers on the network are seed routers. A seed router initializes and broadcasts routing information about one or more physical networks. This information tells routers where to send each packet of data. Each physical network must have one or more seed routers that broadcast the routing information for that network.

Not all routers are seed routers. Routers that are not seed routers maintain a map of the physical networks on the internet and forward data to the correct physical network. Seed routers perform these functions too, but they also initialize the routing information, such as network numbers and zone lists, for one or more physical networks.

A computer running Windows 2000 Server with AppleTalk network integration can function as a seed router or as a nonseed router. If it is a seed router, it must be the first server you start so that it can initialize the other routers and nodes with network information. If it is a nonseed router, it cannot be started until a seed router has initialized all ports. You can also use dedicated hardware routers (such as those made by Cayman Systems, Shiva, Solana, Hayes, and others) on your network.


Phase 2 AppleTalk networks

There are two types of AppleTalk networks: Phase 1 and Phase 2. You must use Phase 2 to run Windows 2000 Server with AppleTalk network integration.

Phase 2 includes these features:

  • Supported media types
  • Token ring, LocalTalk, ethernet, FDDI.
  • Network numbers

LocalTalk networks have a single network number; EtherTalk and TokenTalk networks can be assigned a network range, allowing for more nodes on the network.

AppleTalk zones

Each LocalTalk network must be in a single zone; each EtherTalk and TokenTalk network can have multiple zones, and individual nodes on a network can be configured to be in any one of the network's associated zones.

Number of nodes per network

A node is any type of device on the network. Each client, printer, server, and router is a node on an AppleTalk network.

LocalTalk networks can have as many as 254 nodes (but are actually limited to 32 or fewer nodes because of media capacity); EtherTalk and TokenTalk networks can have as many as 253 nodes for every number in the network range, for a maximum of 16.5 million nodes. (But don't specify this many nodes; network media cannot physically accommodate this many nodes.)

Note

  • Windows 2000 Help uses the terms ethernet and token ring in descriptions of network media. For discussions on the implementation of an AppleTalk network on ethernet or token ring, the respective Apple product names (EtherTalk and TokenTalk) are used. For more information, refer to an AppleTalk manual.


AppleTalk routing information

AppleTalk routing information includes:

  • A network number or network range associated with each physical network.
  • The zone name or zone list associated with each physical network.
  • The default zone for the network (if the network has multiple zones).

The network number or network range is the address or range of addresses assigned to the network. A network number is unique and identifies a particular AppleTalk physical network. By keeping track of network numbers and network ranges, routers can send incoming data to the correct physical network. A network number can be any number from 1 through 65,279.

LocalTalk networks can have only a single network number; EtherTalk, TokenTalk and Fiber Distributed Data Interface (FDDI) networks can have network ranges.

A zone is a logical grouping that simplifies browsing the network for resources, such as servers and printers. It is similar to a domain in Windows 2000 Server networking, as far as browsing is concerned. In LocalTalk networks, each physical network can be associated with only one zone. However, for EtherTalk, TokenTalk, or FDDI, you have more flexibility in assigning zones. Each EtherTalk, TokenTalk, or FDDI network can have one or more zones associated with it, and each zone can include servers and printers on one or more physical networks. This allows you to group servers and printers logically into zones so that users can easily locate and access the servers and printers, no matter what physical networks they are on.

Each Macintosh client on the network is assigned to a single zone. However, each client can access servers and printers in any zone on the network. Zones make accessing network resources simpler for users. When users use the Chooser to view the network, they see only the resources in a single zone at a time, preventing them from having to navigate through huge numbers of resources on large networks to find the resources that they need. You can put the clients, servers, and printers used by a single group into a single zone so that users will see only the resources they typically use but will still be able to access resources in other zones when required.

A zone list includes all the zones associated with that network. One of these zones is the network's default zone, to which the Macintosh clients on that network are assigned by default. Users can configure the client to be in a different zone, however.


Working with AppleTalk seed routers

When you install Windows 2000 Server and set up AppleTalk network integration, you must specify whether the computer running Windows 2000 Server will seed each physical network to which it is attached. For example, a computer running Windows 2000 Server attached to three physical AppleTalk networks might serve as a seed router on two of the networks but not on the third.

For networks that the server will seed, specify the routing information. The computer running Windows 2000 Server will then function as a seed router, seeding the routing information that you provided. If you specify that a server will not seed a network (that is, if you make it a nonseed router), the port will be seeded by another AppleTalk router attached to it.

Using multiple seed routers on a network

To make your network more reliable in case of system failure and power outages, you can install multiple seed routers on the same physical network.

When you install multiple seed routers for a particular network, all the seed routers must seed the same information for that network. When the network starts, the first seed router that starts on the network becomes the actual seed router.

When a network starts, if the first seed router to start has different routing information than seed routers that start later, the information established by the first seed router is used. If a seed router that starts subsequently with different information is a server running Windows 2000 Server, the conflicting information is ignored, an event is written to Windows 2000 Server Event Viewer, and the server ceases to be a seed router. Non-Microsoft routers might behave differently.


Assigning AppleTalk network numbers and ranges

Follow these guidelines when you decide how to assign network numbers and network ranges:

  • Use network numbers that leave room for expansion.

    • For example, if your first AppleTalk zone has a network range of 1024-1099, then make the range of your second AppleTalk zone 1400-1450. This will leave plenty of room for growth of the first AppleTalk network.

  • Network numbers are essentially arbitrary. The important thing is for them to be unique and not to overlap (if in a range) with other ranges.

    • For a LocalTalk network, you can assign only a single network number. For each ethernet or token-ring network, you can assign a network range.

    If you plan to expand any LocalTalk networks for which you can currently assign only a network number, leave a range of unused numbers above the number you assign. You can use these numbers when you expand your network.

  • Base your network ranges on the number of nodes you expect to have in the future on each network.

    • Base the extent of a network range on the number of AppleTalk nodes expected on the physical network. The total number of possible AppleTalk nodes is 253 times the number of network numbers in the range.

    For example, a network range of 101 through 103 permits 759 nodes (3 * 253 = 759); a network range of 120 to 129 permits 2530 nodes (10 * 253 = 2530) on a network. Leave room for more nodes than are currently connected.


Assigning AppleTalk zones

AppleTalk zones are identified by zone names. Follow these guidelines when you decide how to assign zone names:

  • Assign a single zone name to each physical LocalTalk network. You can assign one or more zone names to each ethernet and token-ring network. An asterisk (*) cannot be a zone name.
  • For each ethernet and token-ring network, decide which zone will be the default zone.
  • The number of zones your internet has depends on the size of the internet you are planning. If your internet is small, a single zone can be adequate. But if you have a single Phase 2 ethernet or token-ring network that spans a large geographic area or contains large numbers of AppleTalk devices (such as printers and servers), use multiple zones to make it easier for users to find the devices they need.


Creating an AppleTalk router record

To keep information about your internet for maintenance purposes, create a router record. Include the following information:

  • Router location.
  • Physical location.
  • If the router is a computer running Windows 2000 Server with AppleTalk network integration, record the server computer name.
  • Router type and version.
  • The physical networks connected to the router, with the following information for each:
    • Cabling identification.
    • Network media type.
    • Network numbers.
    • Zone names.
    • Default zone.
    • Whether this router is a seed router for the networks attached to it.

Note

  • Other AppleTalk network management products for Macintosh clients can simplify internet administration. For example, the Apple Inter-Poll network administrator's utility lets you see all AppleTalk devices (including routers) on an internet in real time, observe every Server for Macintosh server, and sort devices by network number, device name, node, and so on. If you install the Apple Responder (part of the Inter-Poll product) on Macintosh clients running System 6.x, you can also view those clients with Inter-Poll. (The Responder is built into System 7.) Farallon Computing, Sonic System, and Caravelle also provide network management utilities that track network activity.


Files

This section contains information on:
  • Macintosh-accessible volumes
  • File sharing
  • How shared files appear to users
  • Cross-platform applications
  • Macintosh file forks
  • How file names are translated
  • File administration


Macintosh-accessible volumes

A computer running Windows 2000 Server with AppleTalk network integration can store files so that users of both Intel-based and Macintosh computers can gain access to them. Users of Intel-based computers (including users of the MS-DOS, OS/2, Windows, Windows for Workgroups, Windows NT Workstation, Windows NT Server, Windows 2000 Professional, and Windows 2000 Server operating systems) look for shared files in a shared folder on the computer running Windows 2000 Server. Macintosh users look for shared files in the same folder; however, they see the folder as a volume, with familiar folders and files.

A Macintosh user shares a file with users of Intel-based computers by storing that file in a Macintosh-accessible volume on the computer running Windows 2000 Server. Likewise, a Macintosh user can mount a Macintosh-accessible volume on the desktop to use files stored in shared folders by users of Intel-based computers.

All Macintosh-accessible volumes must be created on an NTFS partition or on a Compact Disc File System (CDFS) volume. If you specify a CDFS volume, the Macintosh-accessible volume will provide read-only access. (In this case, CDFS volume refers to a hard disk volume.)


File sharing

With AppleTalk network integration, both users of Intel-based computers and Macintosh users can easily share files stored on a server. On a computer running File Server for Macintosh, files are stored in shared folders or in Macintosh volumes. For a file to be accessible to Intel-based clients, it must be in a shared folder (or in a subfolder of a shared folder). Each server can have one or more shared folders. Each shared folder on a server is assigned a unique share name, which is sometimes referred to simply as a share.

With Server for Macintosh, Macintosh users cannot automatically gain access to all shares. To make a folder (and consequently its subfolders, which may or may not be shared on the Windows 2000 system network) available to Macintosh users, the administrator must designate the folder as a Macintosh-accessible volume.

Notes

  • Some users of Intel-based computers are familiar with the terms volume and volume labels as they relate to a hard disk partition. Here a volume is either a folder designated as both a share and a Macintosh-accessible volume (meaning that both types of clients can gain access to the files in the volume) or a folder available only to Macintosh users on the network. The only exception to this convention is CD-ROM or Compact Disc File System (CDFS) volumes.
  • Macintosh volume names created by Windows 2000 Server cannot exceed 12 characters. To create volumes with longer names, use the command-line utility Macfile.exe. For example, to add a volume called Landscape Design on the magnolia server using the Trees folder on drive E:, type:

    • macfile volume /add /server:\\magnolia /name:"Landscape Design" /path:e:\trees


How shared files appear to users

Shared files appear as expected to users of Intel-based computers and to Macintosh computer users. For example, when an MS-DOS user views these shared files, the file names follow the MS-DOS standard naming convention, whether or not they were created that way by a Macintosh user. When a Macintosh user views the files, they appear as Macintosh files on the Macintosh client itself or on Macintosh servers running AppleShare.

Within a folder that is both a share and a Macintosh-accessible volume, users of networked Intel-based computers see folders and files. In fact, this is what is actually stored on the server hard disk. To Macintosh users, the volume appears to contain Macintosh files and folders. When Macintosh users browse through the files available on the server, they see icons that represent each file and folder.

Macintosh files and folders can have Macintosh file names, including long names and names containing spaces and other characters. They are not limited to the 8.3 naming convention of the file allocation table (FAT) file system used with the MS-DOS system and some OS/2 computers. The file server and the NTFS file system translate the names so that users can see them.


Cross-platform applications

Many applications have separate (cross-platform) versions for Macintosh and Intel-based computers. With AppleTalk network integration, Macintosh and Intel-based clients can use cross-platform applications to modify the same files.

For example, a person who uses an Intel-based version of Microsoft Excel can create a spreadsheet file and store the file on the server in a shared folder that is also configured as a Macintosh-accessible volume. A Macintosh user who opens that shared folder can double-click the file icon, and Microsoft Excel for Macintosh starts and opens the file. The Macintosh user can modify the file and save it. When the user of the Intel-based computer opens the file, the modified version of the file appears.

File Server for Macintosh uses extension-type associations to display Intel-based files with the correct icon when the Macintosh user is viewing the files in the Finder.

File Server for Macintosh comes with extension-type associations already defined for many applications. These can be extended or modified.


Macintosh file forks

Each Macintosh file has two parts, or forks: a data fork and a resource fork. The data fork contains the actual data of the file. The resource fork contains Macintosh operating system information about the file, such as code, menu, font, and icon definitions.

When a Macintosh file is shared on a computer running AppleTalk network integration, the two forks are saved in a single NTFS file.


How file names are translated

There are two things to be aware of regarding file-name translation when running AppleTalk network integration:

  • How Macintosh file names are maintained and presented to various users.
  • How the longer NTFS names (more than 32 characters) are presented to Macintosh users.

When a Macintosh user creates a file or a folder on the server and gives it a name, File Server for Macintosh checks it for illegal NTFS characters. If the file name contains illegal NTFS characters, Server for Macintosh replaces the illegal characters. Otherwise, the original Macintosh name is the same as the NTFS name. Macintosh users see the name as it was created. Windows 2000 Server users see the same name with any illegal characters replaced.

After the file server has replaced illegal NTFS characters, Windows 2000 Server takes over the file-name translation process. Names that are too long for MS-DOS users are shortened to six characters, a tilde (~), and a unique number. Extensions are preserved.

Windows 2000 users creating long NTFS file names (up to 256 characters) should name files with 31 characters (the Macintosh limit) or fewer so that Macintosh users can readily decipher the file names.

Summary:

  • A file created using the FAT file naming convention appears as created to NTFS users and Macintosh users.
  • A file created using the 31-character limit of the Macintosh system appears as created to NTFS users. MS-DOS users see a short name.
  • A file created using the NTFS 256-character limit appears as created to Macintosh users if it has 31 or fewer characters. Otherwise, it appears to both MS-DOS and Macintosh users in the shortened form.

Note

  • Because MS-DOS users refer to files created by Macintosh users by the translated short names, Macintosh users should give the FAT standard names (eight characters plus an optional period and three-character extension) to files and folders that will also be used by MS-DOS users. This way MS-DOS users won't have to decipher short names. For files that only Macintosh users or Windows 2000 clients will use, Macintosh users can use long file and folder names.


Macintosh file administration

In Windows NT version 4.0 and earlier, the Macfile program handled Macintosh file administration, including the creation of Macintosh volumes, passwords, security options, user limits, and permissions. You accessed the Macfile menu from Control Panel, File Manager, and Server Manager.

In Windows 2000 Server, Macintosh volumes and files are centrally administered through the Microsoft Management Console (MMC) Shared Folders snap-in. Both Macintosh and non-Macintosh files are administered by using Shared Folders. This improves the integration of Macintosh file management with non-Macintosh files.

Note

  • You can still use the command-line version of Macfile (Macfile.exe) to administer servers, volumes, files, and folders.


Printing benefits

Users gain three major printing benefits with Print Server for Macintosh:

  • Macintosh users can print PostScript jobs to non-PostScript printers directly connected to the computer running Windows 2000 Server. To the Macintosh user, these printers appear like the standard LaserWriter.
  • Users of Intel-based computers can send print jobs to PostScript printers on an AppleTalk network, and they can check print jobs from their clients.
  • Macintosh and Intel-based print jobs are spooled before they go to the printer. So both Macintosh users and users of Intel-based computers can send jobs to the printer and then continue working at their computers. This means that users do not have to wait for their jobs to print before using their computers to do other tasks or wait for a printer to be available.

For more information on printing, see:

  • Print Server for Macintosh
  • Printing device vs. printer
  • Sharing printing devices among Macintosh and Intel-based clients
  • Capturing AppleTalk printers
  • Avoiding LaserPrep wars


Print Server for Macintosh

When AppleTalk network integration is set up, several AppleTalk services are integrated into Windows 2000 Server. The print server, called Print Server for Macintosh, is integrated into the Windows 2000 Server Printers folder. The print server makes printers connected to the computer running Windows 2000 Server available to Macintosh clients, and it makes AppleTalk PostScript printers (with LaserWriter drivers) available to Intel-based clients.

When the print server receives print jobs, it sends them to a spooler, which is a portion of the print server hard disk. The spooler then sends the print job to the specified printing device; for example, to a printing device on the AppleTalk network. This enables Macintosh users, as well as users of Intel-based computers, to submit print jobs and continue working on their computers without waiting for the print job to finish.

The print server also translates all incoming PostScript files if the print request is to a non-PostScript printer attached to the computer running Windows 2000 Server. A Macintosh client (but not a Windows 2000 client) can send a PostScript job to any Windows 2000 Server printer.

Whether printing devices are attached to the computer running Windows 2000 Server or are located elsewhere on the AppleTalk network, the Printers folder displays a list of print jobs for the respective printers you created to represent the devices. By default, each list presents jobs in first-in, first-out (FIFO) order. You can change the priority of jobs, however, and specify permissions for the printer and times for print jobs to run.

Note

  • This implementation of Postscript Routing Information Protocol (RIP) supports 300 dpi and Postscript level 1.


Printing device vs. printer

Before setting up printers, it's important to understand the distinction between a printing device and a printer that you create using the Add Printer wizard:

  • A printing device is the hardware that actually does the printing, such as a Hewlett-Packard LaserJet.
  • A printer you create using Windows 2000 Server is a software interface between the document and the printing device. You create a printer using the Add Printer wizard, and each printer sends jobs to the printing device, according to the specified priority; for example, on a first-come, first-served basis.


Sharing printers among Macintosh and Intel-based clients

Without Print Server for Macintosh, Macintosh clients typically send print jobs to AppleTalk printing devices (usually PostScript devices), and Intel-based clients send print jobs to non-PostScript devices. Print Server for Macintosh lets both types of clients send print jobs to either type of printing device. In addition, both types of users get the benefit of spooling when they print through the computer running Windows 2000 Server.

Users of Intel-based computers specify printers on a computer running Windows 2000 Server and send print jobs to them as usual, whether the printing device is attached to the server itself or located elsewhere on the network. Similarly, Macintosh users have the familiar Chooser interface to use for connecting to printers that are set up for both AppleTalk printing devices and those attached to a computer running Windows 2000 Server.

To get these printing benefits, set up Print Server for Macintosh, and create a user account (such as MACUSERS).


Capturing AppleTalk printers

When you set up a printer on an AppleTalk network to be used with AppleTalk network integration, you can specify whether Print Server for Macintosh will capture the printer; that is, prevent the printer from accepting print jobs from any source other than the print server. Capturing gives Windows 2000 Server administrators complete control over the printer.

If a printer will be used exclusively by Windows 2000 Server, Microsoft recommends that you capture it. Doing so ensures that users do not accidentally bypass the print server and send print jobs directly to the printer or reset the printer, which might cause spooler problems. You will also avoid LaserPrep Wars.

Note that if a source other than the print server prints jobs on the printer, you should not capture the printer. For example, don't capture printers if you use Apple LaserShare (which provides spooled printing for Macintosh clients) or if you use a minicomputer that sends print jobs from minicomputer users to the printer.

If a printer is not captured, and both Windows 2000 Server and another source send jobs to the printer, no jobs will be interrupted; however, while the printer is printing a job from one source, it will appear busy to the other sources.


Avoiding LaserPrep wars

A condition known as LaserPrep wars causes slow printing performance with some AppleTalk networks. AppleTalk network integration solves this problem.

LaserPrep Wars occur when a network has Macintosh clients that use two or more versions of Chooser Packs, which include a PostScript preparation file (also called a LaserPrep file) and a PostScript driver. A printer can use only one version of the LaserPrep file at a time. When a Macintosh user sends a print job to the printer, the Macintosh computer checks for the printer's version of the LaserPrep file. If the printer currently has a different version than the Macintosh client uses, the Macintosh client sends its version of the LaserPrep file along with the print job and instructs the printer to load that file as the printer's resident LaserPrep file.

Because Macintosh computers with different LaserPrep file versions send print jobs to a printer, different versions of the LaserPrep file are loaded and unloaded on the printer. The printer must load and unload versions of the LaserPrep file and then print a startup page each time a different LaserPrep file becomes resident. This causes performance problems and can reduce the life cycle of the printer.

For example, suppose a Macintosh user whose client uses Chooser Pack version 6.0 sends a document to the printer. The LaserPrep version 6.0 file is made resident on the printer. Then, if the next document sent to the printer comes from a client using Chooser Pack version 7.0, the printer must reset, load LaserPrep 7.0, and print a new startup page before printing the document.

Print Server for Macintosh solves the LaserPrep Wars problem by sending the LaserPrep file with each job. This extra effort actually improves overall performance: The printer never has to spend time making a LaserPrep resident or printing a startup page.

Note that for printers on an AppleTalk network, LaserPrep Wars are guaranteed to be avoided only if the printer is captured. If the printer is not captured, users who send print jobs directly to the printer, bypassing the print server, can initiate LaserPrep Wars.

LaserPrep Wars are always prevented when printers are attached directly to a computer running Windows 2000 Server that is set up with Print Server for Macintosh.


Security

With Windows 2000 Server AppleTalk network integration, network security is enforced for Macintosh clients in the same way it is enforced for Intel-based clients. Server for Macintosh translates user identification, authentication (passwords), and permissions so that the integrity of the server is maintained regardless of the type of client used.

For more information on network security, see:

  • Windows 2000 server accounts for Macintosh clients
  • Passwords
  • Authentication
  • Permissions


Windows 2000 Server accounts for Macintosh clients

AppleTalk network integration uses the same user accounts database as Windows 2000 Server. If you already have Windows 2000 Server accounts created for the people who will be using Macintosh computers on the network, you don't need to create additional accounts. Create accounts only for users who don't already have accounts on the computer running Windows 2000 File and Print Server for Macintosh.

One aspect of Windows 2000 Server user accounts, the user's primary group, applies only to Server for Macintosh. The user's primary group is the group the user works with most, and it should be the group with which the user has the most resource needs in common. When a user creates a folder on a server, the user becomes the owner. The owner's primary group is set as the group associated with the folder. The administrator or owner can change the group associated with the folder.


Passwords

Macintosh users log on to a computer running Windows 2000 Server in three ways:

  • As a guest.
  • As a user with a clear-text password.
  • As a user with an encrypted password.

Guest logons

Using AppleTalk network integration, you can set up guest logons, which let users without accounts log on to the server using a Macintosh computer. You can specify what resources guest logon users have access to. Administrators typically grant guest users fewer permissions than users who have accounts on the server. If the guest logon option is enabled, the server always approves the logon request without requiring a password.

Clear-text passwords

Clear-text password protection is part of the AppleShare client software on Macintosh computers. It provides less security than encrypted password protection because the passwords are sent over computer lines and can be detected by sniffers (network monitors that can look for passwords). Moreover, the AppleShare passwords can contain no more than eight characters. Clear-text password protection is offered for Macintosh users who use the standard AppleShare client software or System 7 File Sharing.

Encrypted passwords

An encrypted, or encoded, password is more secure than a clear-text password. Windows 2000 Server encodes passwords and stores them so that they cannot be directly stolen from the client itself. Encrypted passwords can contain up to 14 characters. Server for Macintosh offers encrypted passwords to Macintosh clients.


Authentication

Microsoft authentication is an AppleShare extension that provides a more secure logon session to a computer running Windows 2000 Server. It encrypts passwords and stores them on the computer running Windows 2000 Server. You can either set up, or instruct Macintosh users to set up, the authentication file on their Macintosh computers over the network.

With Microsoft authentication, users can also specify a domain when they log on or change their passwords. This ensures that, if they have an account in several domains, the correct one will be used. (To do this, users type domainname\username in Name.)


Permissions

Access to network files and folders is controlled with permissions. With the Windows 2000 security system, you specify which users can use which shares, folders, and files, and how they can be used. The Macintosh-style permissions differ in that they can be set for folders only, not files.

AppleTalk network integration ensures a consistent file-level security for Intel-based and Macintosh clients by translating file permissions, which adds a level of security to your network. A Macintosh user sets permissions according to the Macintosh scheme; Macintosh File Server translates these to Windows 2000 permissions. The reverse is also true: Windows 2000 permissions set by Intel-based clients are translated to Macintosh-style permissions for Macintosh users.

Both the Administrators and Server Operators groups can administer Macintosh file and print servers.

The Windows 2000 Server Administrator account always has full permissions on Macintosh File Server volumes.

For more information on permissions, see:

  • Types of permissions
  • How file-level permissions are handled
  • Translating permissions between Intel-based clients and Macintosh clients
  • Setting permissions from a Macintosh or Intel-based computer
  • Volume passwords


Types of permissions

Users and administrators of Intel-based networks use Windows 2000 permissions. Macintosh users set Macintosh-style permissions on the folders they create.

In Windows 2000, new files and new subfolder inherit permissions from the folder in which they are created.

Macintosh files inherit the permissions set on folders. Any Windows 2000 permission specified for a file will be recognized by the File Server for Macintosh, even though the Macintosh user won't see any indication in the Finder that these permissions exist. There are four types of Macintosh-style permissions:

  • Cannot Move, Rename, Or Delete prohibits these actions on a folder.
  • Make Changes lets a user modify the contents of files in the folder, rename files, move files, create new files, and delete existing files.
  • See Folders lets a user see what folders are contained in the folder.
  • See Files lets a user see what files are in the folder and read those files.

A Macintosh user cannot give these permissions to multiple users and groups. Instead, permissions can be assigned to three categories of user.

  • Owner. The user who created the folder.
  • User/Group. Similar to the Windows 2000 Server group associated with the folder. Every folder on a server can have one group associated with it at any one time. The group can be a special group such as users or administrators, or it can be any other group on the server.
  • Everyone. All other users of the server, including user accounts with guest access.

The Macintosh security scheme assumes that every folder on a server falls into one of three types: private information (accessible only by the owner of the folder); group information (accessible by a single workgroup); and public information (accessible by everyone).

For example, consider a folder containing information that all members of a certain group should see, but that only one person can change. The person allowed to change the information should be the Owner of the folder and should have See Files, See Folders, and Make Changes permissions. The workgroup that uses the folder should be the Group associated with the folder and should have only See Files and See Folders permissions. Because no one else needs to see the folder's contents, the Everyone category should not be selected.

Although a folder's owner will often be a member of the group associated with the folder, this need not be the case.

With both Macintosh-style and Windows 2000 Server-style permissions, users' access to folders can be defined differently for each folder and subfolder within a tree. For example, you could give a user See Files, See Folders, and Make Changes permissions for one folder, only See Files permission for a subfolder of that folder, and no permissions for another subfolder.


How file-level permissions are handled

With Windows 2000 Server, users of Intel-based computers can assign permissions separately for each file within a folder. The Macintosh computer, however, does not support file-level permissions. When a file has file-level permissions, those permissions apply to Macintosh users only if the permissions are more restrictive than those assigned for the folder that contains the file.

For example, if a Macintosh user has See Files, See Folders, and Make Changes permissions for a folder, the user can read and make changes to files in the folder. However, if that user has only Read permissions for any particular file in that folder, the user can only read that file. Because of the Read file-level permission, the user cannot make changes to the file.


Translating permissions between Intel-based clients and Macintosh clients

AppleTalk network integration translates permissions so that those set by a user of an Intel-based computer are translated into the equivalent Macintosh permissions, and vice versa. When a user of an Intel-based computer sets permissions for a folder, or when a Macintosh user sets permissions for a folder, permissions are translated according to the following table:

Windows 2000 permissions | Macintosh permissions
Read | See Files, See Folders, or both
Write, Delete | Make Changes

Note

  • Permissions set within Macintosh networks behave differently from those set from within Windows 2000 Server networks, including Macintosh-style permissions. From the Macintosh computer, a right assigned to everyone overrides more restrictive rights set on the owner or a group. From Windows 2000, permissions assigned to everyone do not override permissions set on the owner or group.


Setting permissions from a Macintosh or Intel-based computer

A folder's owner can set permissions for the folder. Both the folder's owner and the server administrator can use an Intel-based computer to set Windows 2000 permissions for folders on the server. The folder's owner can set permissions for the folder from an Intel-based computer because the owner of every folder has the Windows 2000 P (Change Permission) permission for that folder.


Volume passwords

AppleTalk network integration provides an extra level of security through Macintosh-accessible volume passwords. A volume password is a password you assign to a Macintosh-accessible volume when configuring it. Any Macintosh user who wants to use the volume must type the volume password. Users of Intel-based computers do not need to know the volume password to access the folder that corresponds to the Macintosh-accessible volume.

Notes

  • Volume passwords are optional.
  • Volume passwords are case-sensitive.
  • When you create a new Macintosh-accessible volume, the default is to have no volume password.
  • Because of a constraint with the System 6 and System 7 Finder, you cannot automatically mount a volume with a volume password at startup or by double-clicking an alias. You also cannot automatically mount a volume if the user originally connected to the volume with Microsoft Authentication.


Remote access

This section contains information on:

  • AppleTalk over PPP (ATCP)


AppleTalk over PPP (ATCP)

Macintosh users can dial in to Windows 2000 Server by using PPP over AppleTalk (ATCP). ATCP is installed automatically if remote access and AppleTalk Protocol are installed. The AppleTalk protocol is installed automatically with File Server and Print Server for Macintosh. You can also install AppleTalk protocol separately. The Windows 2000 Server version for ATCP includes the following features:

  • Addresses are dynamically allocated.
  • Clients are not forced to change their passwords.

ATCP client callback functionality is identical to other dial-up client types. Callback ensures that only users from specific locations can access the dial-up server. This saves toll charges for the user. In addition, ATCP clients can specify their number to be called back at the time they dial in, if their account is enabled for callback. To do this, users specify their user name as username@phonenumber. For example, a user named John Smith, whose account is configured for callback, wants to be called back at 5551234. He can enter JohnSmith@5551234 as his user name, and he will be called back at that number. Older client modem script files can cause Callback to fail.

Guest account authentication and access authorization are the same for ATCP as for any other dial-up method.

ATCP requires that user passwords be saved in reversibly encrypted clear-text format on the dial-up server. (By default, passwords are not stored on the dial-up server in clear-text format.) Because of this requirement, existing users who want to use the ATCP protocol must have their passwords converted to clear-text format. First the administrator must enable the dial-up server to store passwords in clear-text format. For existing accounts, the administrator can then either delete and re-create the accounts or change the password for the accounts. The passwords are then stored in clear-text format, and users can dial in using the ATCP protocol.

All account passwords created after enabling clear-text password storage will be saved in clear-text format.

You can store passwords on a per-user or domain-wide basis. So for ATCP clients, and for Apple Encrypted passwords to work, the administrator must configure encrypted clear-text password storage for each user.

Note

  • Do not statically configure client addresses, because addresses are dynamically allocated.


Using AppleTalk networking

This section contains information on:

  • Administering AppleTalk network integration
  • Printing
  • Macintosh-accessible volumes


Administering AppleTalk network integration

This section contains information on:

  • Managing AppleTalk network integration at the command prompt (Macfile)
  • Stopping, starting, pausing, and resuming services
  • Viewing the Event Log
  • Setting up user accounts for Macintosh users


Managing AppleTalk network integration at the command prompt (Macfile)

Use the Macfile commands at the Windows 2000 command prompt to manage File Server for Macintosh servers, volumes, directories and files. You can automate administrative tasks by including a series of commands in batch files and starting them manually or at predetermined times.

There are four Macfile commands:

  • Macfile server
  • Macfile volume
  • Macfile directory
  • Macfile forkize


Stopping, starting, pausing, and resuming services

When you set up AppleTalk network integration, two services are automatically started: File Server For Macintosh and Print Server For Macintosh. (The AppleTalk Protocol is also started.) At times, you might need to stop these services, as shown in the following table:

Service | Stop the service to
Print Server For Macintosh (MacPrint) | Install another printer driver, to configure a printer, or to immediately see the result of deleting, creating, or changing a printer. Stop it to remove the Print Server for Macintosh service.
File Server For Macintosh (MacFile) | Change the server name that Macintosh users will see and to remove the MacFile Service. Pause it when you want to make changes to the server attributes but want to allow current users to continue working. If this service is paused, no new Macintosh users can log on to the computer running Windows 2000 Server.
AppleTalk Protocol | Change router parameters and the default networking zone and to remove AppleTalk Protocol (which automatically stops the File and Print Servers).


Viewing the Event Log

To check events on the computer running Windows 2000 Server, use Event Viewer, which is available in the Administrative Tools folder in Control Panel. If the AppleTalk file and print servers are running, you can see events that involved File Server and Print Server For Macintosh and the AppleTalk Protocol.


Setting up user accounts for Macintosh users

User accounts are created for Macintosh users just as they are created for other Windows 2000 Server users. A guest account is automatically created when you install Windows 2000 Server. By default, both local guests and guests accessing the server through a client on the network (including a Macintosh client) are allowed. This means that if users log on without a regular user account and password, they will be logged on as a guest.

Guests have some access to shared resources. Guests can do everything that those with a user account can do except keep a local profile on their computers; lock their computers; and create, delete, and modify local groups on their computers.

The guest account cannot be deleted, but it can be disabled on Windows 2000 computers. If it is disabled, no network users, including Macintosh users, can log on without a user account and password.


Printing

This section contains information on:
  • Creating a printer on a computer running Windows 2000 Server
  • Setting up a user account for Macintosh print jobs
  • Using printers on the AppleTalk network
  • Prioritizing print jobs
  • Creating printing pools


Creating a printer on a computer running Windows 2000 Server

After you have physically attached a printing device to a computer running Windows 2000 Server (either directly or on a network), use the Add Printer wizard to create a printer that represents it. You can create more than one printer representing the same printing device.

For example, if you have a printing device in your office but also share it with others over a network, you might want to create two printers representing the printing device. You can create a printer for yourself that is not shared over the network and a second printer that is shared. Then it's easy to control the use of the shared printer. You can set permissions on the shared printer, ensuring that only members of your department can print to it. Or you can set a low priority for it, ensuring that documents you send to the printer will always print before documents sent by those who share it.

Another common example is to create a printer that spools to a printing device at night and another printer that spools to the same printing device during the day.

To create a printer, you must be logged on with sufficient permissions. Administrators, server operators, and print operators can create printers.


Setting up a user account for Macintosh print jobs

After setting up AppleTalk network integration, you should create an account that will be used by all Macintosh clients when printing jobs to captured AppleTalk printing devices or to other devices on the computer running Windows 2000 Server. You should also configure Print Server for Macintosh to use this account.

After it is created, the user account (for example, MACUSERS) appears in the list of names that is displayed in Print Manager when, on the Security menu, you click Permissions. You can give specific rights to this user account, just as you would any user account, including Print and No Access.


Using printers on the AppleTalk network

With AppleTalk network integration, both Intel-based and Macintosh clients can send print jobs to printing devices or spoolers on the AppleTalk network.

The printing device must appear as a LaserWriter in the Chooser, and there must be a Windows 2000 print driver for the printing device.

Macintosh clients use printers just as they normally do, through the Chooser. If an AppleTalk printer has been set up through Print Manager, it can be captured so that Macintosh clients cannot access it directly. This causes Macintosh print jobs to go through the computer running Windows 2000 Server and to be spooled along with print jobs from Intel-based clients.

To allow any Macintosh client to print to an AppleTalk printer directly, disable the capture setting. However, if you do this, the print jobs will not be under the administrator's control.

When an AppleTalk printer is released, any Macintosh user on the AppleTalk network can use the device directly.

A printing device on AppleTalk can be captured when Print Server for Macintosh is set up and a printer is created for it. It must remain captured so that all Macintosh clients send print jobs through the computer running Windows 2000 Server. If a printing device has been released, you can recapture it.

You can select another spooler instead of an actual device. However, use this type of configuration with caution. It is possible to create an endless loop of print spooling with this method.


Prioritizing print jobs

You can create multiple printers that all send print jobs to a single printing device. Each printer has a print-priority level associated with it. If you create two printers and associate them with a single printing device, jobs routed to the printer with the higher priority (lower number) print first.

It's a good idea for users of Intel-based computers to create a group that corresponds to each printer. For example, users in Group 1 might have access rights to a priority-1 printer, users in Group 2 might have access rights to a priority-2 printer, and so on. This lets you prioritize print jobs according to the users submitting their jobs.

For Macintosh users, you must create one user account for all incoming print jobs to the computer running Windows 2000 Server. Consequently, all Macintosh users sending print jobs through the computer running Windows 2000 Server will have the same access rights.


Creating printing pools

When you create a printer, you can associate it with more than one printing device in order to form a printing pool. To set up a pool, you create a printer and assign it as many output ports as you have identical printing devices. Printing pools have the following characteristics:

  • All devices in the pool share the same print property settings and act as a single unit. For example, stopping one device pauses them all.
  • Print destinations can be of the same type or mixed (serial, parallel, and network).
  • When a job arrives for the printing pool, the spooler on the computer running Windows 2000 Server checks the destinations to see which device is idle. The first port selected gets checked first, the second port second, and so on. If your pool consists of a different type of port, make sure you select the fastest port first (network, then parallel, and then serial).

  • A printing pool can contain a mixture of printer interface types, but the printing devices must all use the same printer driver.


Macintosh-accessible volumes

This section contains information on:
  • Creating a Macintosh-accessible volume
  • Creating a Macintosh-accessible volume on a CDFS
  • Configuring Macintosh-accessible volumes
  • Creating folders in a volume
  • Setting permissions for volumes and folders
  • Removing a Macintosh-accessible volume


Creating a Macintosh-accessible volume

Just as you can create a share (shared directory) for users of Intel-based computers, you can use Shared Folders to designate a directory as a Macintosh-accessible volume. If the directory is to be accessed by Intel-based clients as well as Macintosh clients, share the directory by selecting the Users of Microsoft Windows check box in the New File Share wizard. If you don't need to share the files with users of Intel-based computers, you can create a volume on a directory. That is, it doesn't have to be a shared directory.

Note

  • You cannot give a directory Macintosh-accessible volume status if it is a subdirectory of another directory that has Macintosh-accessible volume status.


Creating a Macintosh-accessible volume on a CDFS

To create a Macintosh-accessible volume on a CDFS volume, follow the same procedure you used to create one on an NTFS-partitioned drive. Note that the CDFS disk is read-only. This means that AppleTalk network integration will interpret all security options as See Files and See Folders (read-only).


Configuring Macintosh-accessible volumes

With Windows 2000 Server, you can share folders on the server in any combination. For example, you can share a single folder twice with two different share names, and you can share a folder with one share name and then share a subfolder of that folder with another share name.

However, different rules apply when you use AppleTalk network integration to configure Macintosh-accessible volumes. You cannot configure two folders in the same folder tree as volumes.

This means that, when configuring Macintosh-accessible volumes, you cannot configure:

  • A single folder twice as two different volumes.
  • A folder as a volume if it exists anywhere in the folder tree under another folder configured as a volume.
  • A folder as a volume if one of its subfolders, or any subfolder of one of its subfolders, is configured as a volume.

All Macintosh-accessible volumes must be on an NTFS partition or a Compact Disc File System (CDFS) volume. (The CDFS volumes are read-only.) The number of volumes visible to the user is determined by the length of the volume names, which must all fit in a buffer in order to be displayed. (The size of the buffer is determined by an underlying AppleTalk Protocol.) Volume names can have a maximum of 27 characters. Try to strike a balance between clearly naming volumes so that users can identify them easily and keeping the names short so that all of the volume names can be displayed.

Note

  • Use this formula to determine the number of Macintosh-accessible volume names that can be displayed:

    • N * (M+2) <=4624

    where N is the number of volumes and M is the average length of the names in bytes.


Creating folders in a volume

From the computer running Windows 2000 Server, you can create subdirectories for a Macintosh-accessible volume or folders for Macintosh clients, just as you would create other directories or folders on the respective systems.

On a computer running Windows 2000 Server, the folders appear in the File Manager directory tree as subdirectories of the directory. To create another subdirectory, you select the directory in which it will appear and choose Create Directory from the File menu.

On a Macintosh computer, you create folders using the New Folder command on the File menu. You view and use folders in the Macintosh-accessible volume just as you would any other volume, by using the View menu to see the folders organized by Name, Date, Icon, Size, and so forth.

You cannot, however, designate the subdirectory or folder as another Macintosh-accessible volume when the directory is already designated as a Macintosh-accessible volume.


Setting permissions for volumes and folders

Just as you set permissions on shared directories to control which users of Intel-based computers have access to the share, you control who can use Macintosh-accessible volumes by setting permissions. Permissions also control the kind of access granted to users. For example, permissions dictate which users can make changes to a folder and which ones can read the content of the folder but not alter it in any way.

Note

  • Macintosh files inherit the permissions set on folders; you cannot set permissions on files directly.


Removing a Macintosh-accessible volume

If you want to make a volume unavailable to Macintosh users, you must remove it. Removing the volume does not delete the files contained in the volume, nor does it delete its status as a shared directory if it has been designated as a share for users of Intel-based computers. Removing only removes its status as a Macintosh-accessible volume.


Troubleshooting

Troubleshooting provides solutions for problems that might occur on a computer running Windows 2000 Server with AppleTalk network integration installed. This includes problems that both users and administrators might encounter. Network error messages are explained in the Windows 2000 Server message database, which is available as part of the Help system.

For more information on troubleshooting, see:

  • Administrator and user issues and solutions
  • Printing issues and solutions
  • AppleTalk network integration updated technical information


Administrator and user issues and solutions

What problem are you having?

A Macintosh-accessible volume is unavailable to a user.

Cause: The volume might be configured as a private volume. A private volume is any volume for which the owner, primary group, or everyone categories have no access permissions. Only the volume's owner has permissions. In this case, only the owner has access to the volume.

Solution: To make the volume accessible to users, the owner should give the primary group or everyone categories at least one permission for the volume.

Cause: If the Macintosh-accessible volume is on a CDFS volume, and it appears in the Chooser but cannot be selected, the CD-ROM on which it was created might not be in the disk drive.

Solution: Be sure that the correct CD-ROM is in the disk drive and that the drive door is closed.

A Macintosh user's password has expired without notification.

Cause: Users will be notified that their passwords have expired only if the MS UAM files are installed on their clients. If they are using the Apple standard UAM, they will be told only that their logon attempts failed and to try again later. For more information on installing the Macintosh client software, see the Teachtext ReadMe file in the Microsoft UAM volume.

Solution: Install the MS UAM files on the user's client computer

Users have forgotten their passwords.

Cause: If users have not logged in for an extended period of time, or the password they used was to complex, they may forget their password.

Solution: Assign the users new passwords.

An "incorrect password" message is displayed, even though the password was entered correctly.

Cause: Users might have two accounts, with different passwords, on separate domains.

Solution: Have users enter the domain and then the account name in Name when they log on. For example:

Domain1\alex02A

The computer running Windows 2000 Server with AppleTalk network integration appears in the Chooser on Macintosh clients and then disappears. The appearances are erratic and unpredictable.

Cause: Two physical AppleTalk networks have been given the same network numbers. The server started first works as expected. When the second server is started, it appears in the Chooser on one Macintosh client, and then disappears and appears in the Chooser on a different client. The order of appearance is unpredictable.

Solution: Check the network numbers used for each physical network. When you find the duplicates, change one so that all physical networks use unique network numbers. After you make the change, restart the AppleTalk Protocol on the server on which you made the change. If you find no duplicates, see if your network has a bridge that is filtering packets. It might be filtering out the second server's requests to find a unique address.

Cannot find a file or folder.

Cause: The user might not have the necessary permissions for the folder that contains the file or folder in question.

Solution: The administrator or the owner of the folder can reset permissions to allow the user to access the folder.

The computer running Windows 2000 Server with AppleTalk network integration intermittently appears and disappears in the Chooser.

Cause: Zones and network numbers are no longer in correspondence. If you haven't changed zone names recently, this situation could occur if an AppleTalk network number is duplicated on your AppleTalk internet.

Solution: When you change the name of a zone, you must shut down the routers directly connected to the networks in question for 10 to 15 minutes before restarting. This allows the other routers to discard old zone information.

Cannot save a file with an 8.3 file name from the Macintosh computer.

Cause: A short name might already exist with that name. However, Macintosh users cannot see it.

Solution: Give the 8.3 file name a different name.

Cannot find a server.

Cause: There may be a problem with the cable system between the client and the server.

Solution: Follow these steps:

  1. Be sure the cable system between the client and the server is correct. Be sure the network connection, layout, and cable termination conform to the specifications of the cable system you are using.

  2. Start with the client that can't find the server. If the cable system is LocalTalk, ensure that the LocalTalk connector box is firmly attached to the printer port on the back of the Macintosh client, not the modem port.

    3. If the cable system is not LocalTalk, ensure that the network connector is securely connected to its port. In Control Panel, double-click the Network icon to review other network settings.

  3. Determine whether other clients are having the same problem.

    4. If they are, check the cables and connections at the server, and ensure that the server is operating properly. If the server is not the source of the problem, proceed to step 4.

  4. Check for breaks in the cable system. If the missing server is on a local network, check each client between the client that can't find the server and the server until you find the server in the Chooser. The break in the cable system is between the client that shows the server in the Chooser and the one that does not.

    5. If the missing server is on a different physical network on the internet, use your router seeding plan and server information table to determine which client is the first one beyond the router that links the two networks. Test that client, and then test each client beyond it (in the direction of the server) until the server appears in the Chooser.

    If the server was visible at the first client, work backward toward your own network, testing the client adjacent to each router until the server fails to appear in the Chooser. Isolate the break by testing the clients on this network.

  5. When you have isolated the network break, check the network cables and connections at that location to make sure all are securely attached, and try again to display the server in the Chooser. If necessary, try replacing cables or connectors.

Cannot see any zones within the Chooser on a Macintosh computer.

Cause: There might be router problems.

Solution: Check for the following:

  • The Macintosh computer might be running on an AppleTalk Phase 2 Network without the correct Ethernet driver.
  • The router might be using Phase 1 and the rest of the internet is using Phase 2.
  • The Macintosh computer is configured for one type of network media (such as LocalTalk) but is actually on a network that uses a different media type (such as Ethernet or token ring).

If the problem persists, make sure all routers are configured properly.

The Microsoft UAM volume cannot be found.

Cause: When the computer running Windows 2000 Server was installed, there might have been insufficient disk space for the Microsoft UAM volume. Or the computer running Windows 2000 Server might have been installed without an NTFS partition.

Solution: You can create the volume by typing and entering the following at the command prompt: setup /i oemnxpsm.inf /c uaminstall. This command line copies UAM files to the AppleShare folder in the first NTFS partition and sets up registry values for this volume in the Registry Editor.

The view of a folder is erased or does not match the view selected in the View menu.

Cause: The Finder occasionally cannot show the correct view of a folder.

Solution: The folder owner must log on to the server, connect to the Macintosh-accessible volume, and, on the View menu, select a view (such as View By Icon, View By Name, and so on). The selected view then remains in effect.

A file is now displayed with the default Windows icon instead of the correct icon.

Cause: The application that uses that type of data file might have been removed from the Macintosh computer.

Solution: If the file had no resource fork, use the Apple ResEdit utility to reset the file type and file creator of the file. Use this utility only if you are experienced with it.

A user of an Intel-based computer cannot see the contents of a folder.

Cause: The user of the Intel-based computer does not have sufficient permissions to view the contents of the folder.

Solution: Use the computer running Windows 2000 Server to make sure the user has Read permission, or the folder owner can use a Macintosh computer to give the user of the Intel-based computer both the See Files and See Folders permissions. (A user of an Intel-based computer must have both these permissions to get the Windows 2000 Server Read permission.)

A Macintosh user did not receive a server message.

Cause: Only Macintosh clients running version 2.1 (or later) of the AppleTalk Filing Protocol can see server messages.

Solution: Make sure the client has installed version 3.0 of AppleShare, which uses later versions of this protocol.

A user cannot automatically connect to a Macintosh-accessible volume using an alias.

Cause: Macintosh clients can be configured to automatically connect to volumes when the client is started or when the user double-clicks an alias to an object on a volume. However, automatic connection to volumes is not supported by the Macintosh system software if the volume is configured with a volume password,or if the user originally used Microsoft Authentication to connect to the volume.

Solution: If the volume has a password, you can mount it through the Chooser and then use the alias. Or you can specify that it be opened at system startup time when you mount the volume. If you are using Microsoft Authentication to log on to the server, you must mount the volume through the Chooser and then use the alias.


Printing issues and solutions

What problem are you having?

AppleTalk printers don't appear in the Printers Folder Available AppleTalk Printer dialog box.

Cause: Clicking the AppleTalk Zone name does not display the printers in that zone.

Solution: You must double-click the Zone name in this dialog box.

Messages consistently appear while documents are being printed.

Cause: The printer needs to be reset.

Solution: Reset the printing device by turning it off and then on again.

The PostScript message "Offending command" appears at the end of the printed document or elsewhere.

Cause:

  • A user or administrator might have canceled the print job while it was spooling.
  • A user is spooling to a PSTODIB printing device, and it has PostScript level 2 elements or is a PostScript level 2 document.

Solution: No action is necessary, and you can reprint the file as desired.

Print jobs fail to print.

Cause: If one of the printing devices is turned off, all printing devices can stop printing.

Solution: Check each printing device that prints jobs for these printers.

Macintosh extended characters (such as bullets, smart quotes, and copyright and trademark symbols) are changed into other characters on the LaserWriter II.

Cause: If the LaserWriter hasn't been set correctly, printing problems can occur, regardless of how you set the COM port in Control Panel in Windows 2000 Server. This problem affects Macintosh computers more frequently than Intel-based computers because Macintosh computers use extended characters more often than other clients do.

Solution: Set the communications port for the LaserWriter correctly, referring to the owner's manual for the printing device.


AppleTalk network integration updated technical information

Microsoft maintains updated technical information on AppleTalk network integration.


Macfile directory examples

This example changes the permissions of the subdirectory May sales in the Macintosh-accessible volume Statistics on drive E: of the local server. The example assigns See Files, See Folders, and Make Changes permissions to the owner and See Files and See Folders to all others, while preventing the directory from being renamed, moved, or deleted.

macfile directory /path:"e:\statistics\may sales" /permissions:11111011000

For more information, see:

  • To modify directories in Macintosh-accessible volumes using Macfile
  • Managing AppleTalk network integration at the command prompt (Macfile)


Macfile forkize examples

To create the file Cowapp on the Macintosh-accessible volume D:\Release using the resource fork C:\Cross\Mac\Appcode and to make this new file appear to Macintosh clients as an application (Macintosh applications use the type APPL) with the creator (signature) set to BEEF, type

macfile forkize /resourcefork:c:\cross\mac\appcode /type:APPL /creator:BEEF /targetfile:D:\release\cowapp

To change the file creator to Microsoft Word 5.1 for the file S_adams.txt in the directory D:\Word documents\Group files on the server \\CYPRESS, type

macfile forkize /server:\\cypress /type:TEXT /creator:MSWD /targetfile:"d:\word documents\group files\s_adams.txt"

For more information, see:

  • To join a Macintosh file's data and resource forks
  • Managing AppleTalk network integration at the command prompt (Macfile)


Macfile server examples

To change the number of File and Print Server for Macintosh sessions permitted on the local server from the current setting to five sessions and to add the logon message "Log off from Server for Macintosh when you are finished.", type

macfile server /maxsessions:5 /loginmessage:"Log off from Server for Macintosh when you are finished."

For more information, see:

  • To change the logon message and limit sessions using Macfile
  • Managing AppleTalk network integration at the command prompt (Macfile)


Macfile volume examples

To create a volume called US Marketing Statistics on the local server using the Stats directory in drive E: that cannot be accessed by guests, type

macfile volume /add /name:"US Marketing Statistics" /guestsallowed:false /path:e:\stats

To change the volume created above to be read only, require a password, and have a maximum number of five users, type

macfile volume /set /name:"US Marketing Statistics" /readonly:true /password:saturn /maxusers:5

To add a volume called Landscape Design on the server \\Magnolia using the Trees directory in drive E: that can be accessed by guests, type

macfile volume /add /server:\\magnolia /name:"Landscape Design" /path:e:\trees

To remove the volume called Sales Reports on the local server, type:

macfile volume /remove /name:"Sales Reports"

For more information, see:

  • To add, change, or remove Macintosh-accessible volumes using Macfile
  • Managing AppleTalk network integration at the command prompt (Macfile)


Making a router plan

After you have diagrammed your network, make a router plan that shows the location and type of each seed router for the network. The following seed router examples are based on the following network diagram.

To make a router plan, determine:

  • The expected number of AppleTalk devices on present and projected ethernet and token-ring networks.
  • The quantity of network numbers sufficient to satisfy capacity requirements. (Up to n * 253 devices can be supported, where n is the number of network numbers in the range.)

Router seeding plan example

Cable ID | Network range | Zone list | Seed devices
Ethernet #1 | 16-25 | Finance Accounts Payable Accounts Receivable | Server 1 Server 3
Ethernet #2 | 32-37 | Marketing Marketing Exec | Server 5
Ethernet #3 | 768 | Engineering | Server 6
LocalTalk #1 | 1024 | Finance | Server 3
LocalTalk #2 | 1280 | Marketing | Server 5

Notes

  • In the Zone list column, bold formatting indicates the network's default zone.
  • Seed device information can indicate the server name, the type of dedicated hardware router, or the location, depending on your needs.